"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.BackpackPixel = void 0;
var constants_1 = require("../constants");
var pixel_1 = require("./pixel");
var BackpackPixel = /** @class */ (function (_super) {
    __extends(BackpackPixel, _super);
    function BackpackPixel(opts) {
        var _this = _super.call(this, opts) || this;
        _this.sendmsg = opts.sendmsg !== undefined ? opts.sendmsg : true;
        _this.internalPixel = _this.createPixel(opts);
        return _this;
    }
    BackpackPixel.prototype.createPixel = function (opts) {
        var addr = opts.addr, strip = opts.strip, io = opts.io, i2c_address = opts.i2c_address;
        return {
            address: addr,
            id: addr,
            color: {
                r: 0, g: 0, b: 0, hexcode: '#000000', color: 'black', rgb: [0, 0, 0]
            },
            io: io,
            i2c_address: i2c_address,
            parent: strip
        };
    };
    BackpackPixel.prototype.createPayload = function (colorAsNumber) {
        var data = [];
        data.push(constants_1.PIXEL_SET_PIXEL);
        data.push(this.internalPixel.address & constants_1.FIRMATA_7BIT_MASK);
        data.push((this.internalPixel.address >> 7) & constants_1.FIRMATA_7BIT_MASK);
        data.push(colorAsNumber & constants_1.FIRMATA_7BIT_MASK);
        data.push((colorAsNumber >> 7) & constants_1.FIRMATA_7BIT_MASK);
        data.push((colorAsNumber >> 14) & constants_1.FIRMATA_7BIT_MASK);
        data.push((colorAsNumber >> 21) & constants_1.FIRMATA_7BIT_MASK);
        return data;
    };
    BackpackPixel.prototype.fillPixel = function (inputColor) {
        var message = this.createPayload(inputColor);
        this.internalPixel.io.i2cWrite(this.internalPixel.i2c_address, message);
    };
    return BackpackPixel;
}(pixel_1.Pixel));
exports.BackpackPixel = BackpackPixel;
