import { FirmataPixelOptions, BackpackPixelOptions, FirmataBasePixel, BackpackBasePixel, PixelColor } from '../types';
export declare type PixelInit = FirmataPixelOptions | BackpackPixelOptions;
export declare type BasePixelConfiguration = FirmataBasePixel | BackpackBasePixel | undefined;
export declare class Pixel {
    internalPixel: BasePixelConfiguration;
    sendmsg: boolean;
    constructor(opts: PixelInit);
    createPixel(opts: PixelInit): BasePixelConfiguration;
    fillPixel(inputColor: number): void;
    color(color?: string | [number, number, number], optOverride?: {
        sendmsg: boolean;
        brightness?: number;
    }): void | PixelColor;
    colour(color?: string | [number, number, number], optOverride?: {
        sendmsg: boolean;
        brightness?: number;
    }): void | PixelColor;
    off(): void;
}
