"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Pixel = void 0;
var color_string_1 = __importDefault(require("color-string")); // used for color parsing
var utils_1 = require("../utils");
var utils_2 = require("../utils");
var Pixel = /** @class */ (function () {
    function Pixel(opts) {
        this.sendmsg = opts.sendmsg !== undefined ? opts.sendmsg : true;
        this.internalPixel = this.createPixel(opts);
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    Pixel.prototype.createPixel = function (opts) {
        return;
    };
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    Pixel.prototype.fillPixel = function (inputColor) {
        return;
    };
    Pixel.prototype.color = function (color, optOverride) {
        // use a particular form to set the color either
        // color = hex value or named colors or array of colors
        // opts can contain _sendmsg_ as bool. If set to false message won't be
        // sent to firmata - useful for strip level updates to keep message choke down
        var _a;
        var pixel = this.internalPixel;
        if (!pixel)
            return;
        var shouldMessage = (optOverride === null || optOverride === void 0 ? void 0 : optOverride.sendmsg) !== undefined ? optOverride.sendmsg : this.sendmsg;
        var pixelcolor;
        if (color) {
            // get the color based on a string
            if (Array.isArray(color)) {
                // we have an RGB array value
                pixelcolor = {
                    model: 'rgb',
                    value: __spreadArrays(color, [0])
                };
            }
            else {
                pixelcolor = color_string_1.default.get(color);
                if (pixelcolor === null) {
                    return pixel.color;
                }
            }
        }
        else {
            return pixel.color;
        }
        if (pixelcolor != null) {
            // fill out the values for the pixel and then send the message to update
            // it on the strip
            pixel.color.r = pixelcolor.value[0];
            pixel.color.g = pixelcolor.value[1];
            pixel.color.b = pixelcolor.value[2];
            pixel.color.hexcode = color_string_1.default.to.hex([pixelcolor.value[0], pixelcolor.value[1], pixelcolor.value[2]]);
            pixel.color.color = color_string_1.default.to.keyword([pixelcolor.value[0], pixelcolor.value[1], pixelcolor.value[2]]);
            pixel.color.rgb = pixelcolor.value;
            var finalColor = void 0;
            if ((_a = this.internalPixel) === null || _a === void 0 ? void 0 : _a.parent.whiteCap) {
                if ((optOverride === null || optOverride === void 0 ? void 0 : optOverride.brightness) !== undefined) {
                    finalColor = utils_1.normalizeColorWithBrightness(pixelcolor.value, optOverride.brightness, this.internalPixel.parent.whiteCap);
                }
                else {
                    finalColor = utils_2.normalizeColor(pixelcolor.value, this.internalPixel.parent.whiteCap);
                }
            }
            else {
                finalColor = utils_1.colorValue(pixelcolor.value, pixel.parent.gtable);
            }
            if (shouldMessage) {
                // TODO probably should be pulling the color off the obj rather than
                // sending it to this function....
                this.fillPixel(finalColor);
            }
        }
        else {
            console.log("Color supplied couldn't be parsed: " + color);
        }
    };
    Pixel.prototype.colour = function (color, optOverride) {
        this.color(color, optOverride);
    };
    Pixel.prototype.off = function () {
        this.color([0, 0, 0]);
    };
    return Pixel;
}());
exports.Pixel = Pixel;
