/// <reference types="node" />
import { EventEmitter } from 'events';
import { Pixel } from '../pixel/';
import { SHIFT_BACKWARD, SHIFT_FORWARD } from '../constants';
import { BaseStripOptions, ChannelTransformArray } from '../types';
export declare class Strip extends EventEmitter {
    pixels: Pixel[];
    gtable: number[];
    gamma: number;
    length: number;
    whiteCap?: ChannelTransformArray;
    constructor(opts: BaseStripOptions);
    createWhiteCap(userWhiteCaps?: BaseStripOptions['whiteCap']): ChannelTransformArray | undefined;
    pixel(addr: number): Pixel | undefined;
    getLength(): number;
    stripColor(color: number): void;
    show(): void;
    _shift(amt: number, direction: typeof SHIFT_FORWARD | typeof SHIFT_BACKWARD, wrap: boolean): void;
    shift(amt: number, direction: typeof SHIFT_FORWARD | typeof SHIFT_BACKWARD, wrap: boolean): void;
    color(color?: string | [number, number, number], brightness?: number): void;
    colour(color?: string | [number, number, number], brightness?: number): void;
    off(): this;
}
