**[node-pixel-async](../README.md)**

> [Globals](../globals.md) / ["types"](../modules/_types_.md) / FirmataOptions

# Interface: FirmataOptions

## Hierarchy

* [BaseStripOptions](_types_.basestripoptions.md)

  ↳ **FirmataOptions**

## Index

### Properties

* [board](_types_.firmataoptions.md#board)
* [color\_order](_types_.firmataoptions.md#color_order)
* [controller](_types_.firmataoptions.md#controller)
* [data](_types_.firmataoptions.md#data)
* [firmata](_types_.firmataoptions.md#firmata)
* [gamma](_types_.firmataoptions.md#gamma)
* [length](_types_.firmataoptions.md#length)
* [skip\_firmware\_check](_types_.firmataoptions.md#skip_firmware_check)
* [strips](_types_.firmataoptions.md#strips)
* [whiteCap](_types_.firmataoptions.md#whitecap)

## Properties

### board

• `Optional` **board**: JohnnyBoard

*Inherited from [BaseStripOptions](_types_.basestripoptions.md).[board](_types_.basestripoptions.md#board)*

*Defined in [lib/types.ts:81](https://github.com/hweeks/node-pixel-async/blob/c53dd89/lib/types.ts#L81)*

___

### color\_order

• `Optional` **color\_order**: *typeof* [GRB](../modules/_constants_.md#grb) \| *typeof* [BRG](../modules/_constants_.md#brg) \| *typeof* [RGB](../modules/_constants_.md#rgb)

*Inherited from [BaseStripOptions](_types_.basestripoptions.md).[color_order](_types_.basestripoptions.md#color_order)*

*Defined in [lib/types.ts:79](https://github.com/hweeks/node-pixel-async/blob/c53dd89/lib/types.ts#L79)*

___

### controller

• `Optional` **controller**: \"FIRMATA\" \| \"I2CBACKPACK\"

*Inherited from [BaseStripOptions](_types_.basestripoptions.md).[controller](_types_.basestripoptions.md#controller)*

*Defined in [lib/types.ts:82](https://github.com/hweeks/node-pixel-async/blob/c53dd89/lib/types.ts#L82)*

___

### data

•  **data**: number

*Defined in [lib/types.ts:94](https://github.com/hweeks/node-pixel-async/blob/c53dd89/lib/types.ts#L94)*

___

### firmata

• `Optional` **firmata**: Board

*Inherited from [BaseStripOptions](_types_.basestripoptions.md).[firmata](_types_.basestripoptions.md#firmata)*

*Defined in [lib/types.ts:80](https://github.com/hweeks/node-pixel-async/blob/c53dd89/lib/types.ts#L80)*

___

### gamma

•  **gamma**: number

*Inherited from [BaseStripOptions](_types_.basestripoptions.md).[gamma](_types_.basestripoptions.md#gamma)*

*Defined in [lib/types.ts:77](https://github.com/hweeks/node-pixel-async/blob/c53dd89/lib/types.ts#L77)*

___

### length

• `Optional` **length**: undefined \| number

*Inherited from [BaseStripOptions](_types_.basestripoptions.md).[length](_types_.basestripoptions.md#length)*

*Defined in [lib/types.ts:78](https://github.com/hweeks/node-pixel-async/blob/c53dd89/lib/types.ts#L78)*

___

### skip\_firmware\_check

•  **skip\_firmware\_check**: boolean

*Defined in [lib/types.ts:96](https://github.com/hweeks/node-pixel-async/blob/c53dd89/lib/types.ts#L96)*

___

### strips

• `Optional` **strips**: number[] \| string[] \| [StripConfig](../modules/_types_.md#stripconfig)[]

*Defined in [lib/types.ts:95](https://github.com/hweeks/node-pixel-async/blob/c53dd89/lib/types.ts#L95)*

___

### whiteCap

• `Optional` **whiteCap**: [[ChannelTransformRequest](_types_.channeltransformrequest.md), [ChannelTransformRequest](_types_.channeltransformrequest.md), [ChannelTransformRequest](_types_.channeltransformrequest.md)]

*Inherited from [BaseStripOptions](_types_.basestripoptions.md).[whiteCap](_types_.basestripoptions.md#whitecap)*

*Defined in [lib/types.ts:83](https://github.com/hweeks/node-pixel-async/blob/c53dd89/lib/types.ts#L83)*
